Package com.artofsolving.jodconverter

# Class DocumentFormat

java.lang.Object
com.artofsolving.jodconverter.DocumentFormat

public class DocumentFormat extends Object
Represents a document format ("OpenDocument Text" or "PDF"). Also contains its available export filters.

## Constructor Summary

Constructors
Constructor
Description
`DocumentFormat()`
`DocumentFormat(String name, DocumentFamily family, String mimeType, String extension)`
`DocumentFormat(String name, String mimeType, String extension)`

## Method Summary

Modifier and Type
Method
Description
`Map`
`getExportOptions(DocumentFamily family)`
`DocumentFamily`
`getFamily()`
`String`
`getFileExtension()`
`Map`
`getImportOptions()`
`String`
`getMimeType()`
`String`
`getName()`
`boolean`
`isExportableFrom(DocumentFamily family)`
`boolean`
`isExportableTo(DocumentFormat otherFormat)`
`boolean`
`isExportOnly()`
`boolean`
`isImportable()`
`void`
`setExportFilter(DocumentFamily family, String filter)`
`void`
`setExportOption(DocumentFamily family, String name, Object value)`
`void`
`setImportOption(String name, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DocumentFormat

public DocumentFormat()

### DocumentFormat

public DocumentFormat(String name, String mimeType, String extension)

### DocumentFormat

public DocumentFormat(String name, DocumentFamily family, String mimeType, String extension)

## Method Details

### getName

public String getName()

### getFamily

public DocumentFamily getFamily()

### getMimeType

public String getMimeType()

### getFileExtension

public String getFileExtension()

### isImportable

public boolean isImportable()

### isExportOnly

public boolean isExportOnly()

### isExportableTo

public boolean isExportableTo(DocumentFormat otherFormat)

### isExportableFrom

public boolean isExportableFrom(DocumentFamily family)

### setExportFilter

public void setExportFilter(DocumentFamily family, String filter)

### setExportOption

public void setExportOption(DocumentFamily family, String name, Object value)

### getExportOptions

public Map getExportOptions(DocumentFamily family)

### setImportOption

public void setImportOption(String name, Object value)

### getImportOptions

public Map getImportOptions()